DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSOverlay Class Reference

an overlay contained in a presentation state (internal use only). More...

## Public Member Functions
| DVPSOverlay ()
| default constructor
| DVPSOverlay (const DVPSOverlay &copy)
| copy constructor
DVPSOverlay * | clone () const
| clone method. More...
virtual | ~DVPSOverlay ()
| destructor
OFCondition | read (DcmItem &dset, Uint8 ovGroup, Uint8 asGroup=0xFF)
| reads the specified overlay group from a DICOM dataset. More...
OFCondition | write (DcmItem &dset)
| writes the overlay plane managed by this object to a DICOM dataset. More...
Uint8 | getOverlayGroup () const
| get group number of overlay repeating group managed by this object. More...
void | setOverlayGroup (Uint8 newGroup)
| sets the group number for the overlay repeating group managed by this object. More...
OFBool | isSuitableAsShutter (unsigned long x, unsigned long y)
| checks if the overlay is suitable as a bitmap shutter for an image with the given image size. More...
const char * | getOverlayLabel ()
| gets the overlay label if present. More...
const char * | getOverlayDescription ()
| gets the overlay description if present. More...
OFBool | isROI ()
| checks whether this overlay is ROI type. More...
OFCondition | getValues (Sint16 &originX, Sint16 &originY, Uint16 &sizeX, Uint16 &sizeY)
| retrieve origin and size values for this overlay More...
DcmOverlayData & | getData ()
| return reference to overlay data
DcmLongString & | getLabel ()
| return reference to overlay label
DcmLongString & | getDescription ()
| return reference to overlay description

## Private Member Functions
DVPSOverlay & | operator= (const DVPSOverlay &)
| private undefined assignment operator

## Private Attributes
Uint8 | overlayGroup
| lower byte of the overlay repeating group managed by this object
DcmUnsignedShort | overlayRows
| VR=US, VM=1, Type=1.
DcmUnsignedShort | overlayColumns
| VR=US, VM=1, Type=1.
DcmCodeString | overlayType
| VR=CS, VM=1, Type=1.
DcmSignedShort | overlayOrigin
| VR=SS, VM=2, Type=1.
DcmUnsignedShort | overlayBitsAllocated
| VR=US, VM=1, Type=1.
DcmUnsignedShort | overlayBitPosition
| VR=US, VM=1, Type=1.
DcmOverlayData | overlayData
| VR=OW, VM=1, Type=1C.
DcmLongString | overlayDescription
| VR=LO, VM=1, Type=3.
DcmLongString | overlayLabel
| VR=LO, VM=1, Type=3.

## Detailed Description

an overlay contained in a presentation state (internal use only).

This class manages the data structures comprising a single overlay (one instance of the Overlay Plane Module repeating elements) that is contained in a Presentation State object.

## Member Function Documentation

## ◆ clone()

DVPSOverlay* DVPSOverlay::clone | ( |  | ) | const
| inline

clone method.

Returns
  a pointer to a new DVPSOverlay object containing a copy of this object.

## ◆ getOverlayDescription()

const char* DVPSOverlay::getOverlayDescription | ( |  | ) |

gets the overlay description if present.

If the label string is absent, this method returns NULL.

Returns
  overlay description

## ◆ getOverlayGroup()

Uint8 DVPSOverlay::getOverlayGroup | ( |  | ) | const
| inline

get group number of overlay repeating group managed by this object.

Returns
  the lower byte of the overlay group

## ◆ getOverlayLabel()

const char* DVPSOverlay::getOverlayLabel | ( |  | ) |

gets the overlay label if present.

If the label string is absent, this method returns NULL.

Returns
  overlay label

## ◆ getValues()

OFCondition DVPSOverlay::getValues | ( | Sint16 & | originX,
|  | Sint16 & | originY,
|  | Uint16 & | sizeX,
|  | Uint16 & | sizeY
| ) |  |

retrieve origin and size values for this overlay

Parameters

  originX | horizontal origin returned in this parameter
  originY | vertical origin returned in this parameter
  sizeX | horizontal size returned in this parameter
  sizeY | vertical size returned in this parameter

Returns
  EC_Normal if successful, an error code otherwise

## ◆ isROI()

OFBool DVPSOverlay::isROI | ( |  | ) |

checks whether this overlay is ROI type.

Returns
  OFTrue if overlay is ROI, OFFalse if overlay is Graphic.

## ◆ isSuitableAsShutter()

OFBool DVPSOverlay::isSuitableAsShutter | ( | unsigned long | x,
|  | unsigned long | y
| ) |  |

checks if the overlay is suitable as a bitmap shutter for an image with the given image size.

Checks overlay type, origin and size.

Parameters

  x | image width in pixels
  y | image height in pixels

Returns
  OFTrue if the specified overlay group matches the image size.

## ◆ read()

OFCondition DVPSOverlay::read | ( | DcmItem & | dset,
|  | Uint8 | ovGroup,
|  | Uint8 | asGroup = `0xFF`
| ) |  |

reads the specified overlay group from a DICOM dataset.

The DICOM elements of the Overlay Plane module are copied from the dataset to this object. The OverlayData element, which is optional in the Overlay Plane Module but required for presentation states, must be present. The completeness of the overlay plane (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the overlay is to be read
  ovGroup | the lower byte of the overlay group to be read
  asGroup | the lower byte of the overlay group to be assigned to the overlay plane in the presentation state. Default: identical to ovGroup.

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setOverlayGroup()

void DVPSOverlay::setOverlayGroup | ( | Uint8 | newGroup | ) |
| inline

sets the group number for the overlay repeating group managed by this object.

Parameters

  newGroup | lower byte of the repeating group number.

## ◆ write()

OFCondition DVPSOverlay::write | ( | DcmItem & | dset | ) |

writes the overlay plane managed by this object to a DICOM dataset.

Copies of the DICOM element managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the DICOM dataset to which the overlay is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsov.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1